<!DOCTYPE html> 

<html xmlns:th="http://www.thymeleaf.org">
<head>
	<title>Project Detail</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<link rel="stylesheet" href="/css/bootstrap.css">
	<link rel="stylesheet" href="/css/basic.css">
</head>

<body>

<nav th:replace="fragments/menu :: menu"></nav>

<div class="container">

	<div class="alert alert-primary">
		<button type="button" class="close" data-dismiss="alert">x</button>
		<span id="fehler" th:text="${fehler}"></span>
	</div>
<!--  <table>
     <tr th:each="var : ${#vars.getVariableNames()}">
         <td th:text="${var}"></td>
         <td th:text="${#vars.getVariable(var)}"></td>
     </tr>
</table> -->

<form action="#" th:action="${postAction}" method="post" th:object="${projectDetail}">
<input type="hidden" name="projectDetail.id" th:value="*{id}" /> 
    
    <div class="projektstatus">
    	<h3>Projektdetail</h3>
    </div>
    
	<div class="form-group">
      <label for="status">Status</label>
    	  <select class="custom-select mr-sm-2" id="status" name="projectDetail.state" required>
			<option value="default">Status wählen...</option>
			<option th:each="status : ${statuss}" th:value="${status.id}" th:text="${status.name}" th:selected="${status.id == projectDetail.state}">
		  </select>
    </div>
    <div class="form-group">
      <label for="name">Bezeichnung</label>
      <input id="name" class="form-control" type="text" name="projectDetail.name" th:value="*{name}"  required/>
    </div>
     <div class="form-group">
    <label for="beschreibung">Beschreibung</label>
    <input id="beschreibung" class="form-control" type="text" name="projectDetail.description" th:value="*{description}" required/>
    </div>
	<div class="form-group">
	<label for="ziele">Ziele</label>
	<input id="ziele" class="form-control" type="text" name="projectDetail.goals" th:value="*{goals}" required/>
    </div>
	
	<div class="form-group">
      <label for="kosten">Budget</label>
      <input id="kosten" class="form-control" type="number" name="projectDetail.costs" th:value="*{costs}"  required/>
    </div>
	
	<div class="form-group">
      <label for="gebraucht">angelaufene Kosten</label>
      <input id="gebraucht" class="form-control" type="number" name="projectDetail.gebraucht" th:value="*{gebraucht}"  required/>
    </div>
    
    
    <div class="form-group" th:if="*{id} > 0" th:with="restbetrag=*{costs-gebraucht}">
   	  <label for="restbetrag">Restbetrag</label>
   	  <input id="restbetrag"  th:class="${restbetrag > 0} ? 'form-control green' : 'form-control red'" type="number" name="projectDetail.restbetrag" th:value="${restbetrag}"  required disabled/>
    </div>

  <div class="form-group">

    <label for="startdatum">Startdatum</label>
    <input id="startdatum" class="form-control" type="date" name="projectDetail.startdate" th:value="*{startdate}" required/>


	<label for="enddatum">Enddatum</label>
    <input id="enddatum" class="form-control" type="date" name="projectDetail.enddate" th:value="*{enddate}" required/>

   </div>
   
   <div class="form-group" th:if="*{id} > 0">
      <label for="resttage">Resttage</label>
   	  <input id="resttage"  th:class="*{resttage > 0} ? 'form-control green' : 'form-control red'" type="number" name="projectDetail.resttage" th:value="*{resttage}" required disabled/>
    </div>
   
    <div class="form-group">
     <div class="row">
	  <div class="col-md-4">
		<button type="submit" name="projectDetail.save" class="btn btn-primary">Speichern</button>
	  </div>
	  <div class="col-md-4">
		<button type="submit" name="projectDetail.saveAndNew" class="btn btn-primary">Speichern und Neu</button>
	  </div>
	  <div class="col-md-4">
		<a href="/" class="btn btn-primary">zurück zur Liste</a> 
	  </div>
	 </div>
   </div>
   
</form>

<div class="row">
  <div class="col-6">
	<div class="card bg-dark mt-5">
	  <div class="card-header" id="headingOne">
		<h1 data-toggle="collapse" href="#collapseMitarbeiter" role="button" aria-expanded="false" aria-controls="collapseMitarbeiter">Projektmitarbeiter</h1>
	  </div>
	  <div class="card-body collapse" id="collapseMitarbeiter">
		<div class="row">
			<div class="col">
				<button type="button" class="btn btn-light" data-toggle="modal" data-target="#addMitarbeiter">
				  Mitarbeiter hinzufügen
				</button>
				<div class="modal fade" id="addMitarbeiter" tabindex="-1" role="dialog" aria-labelledby="addMitarbeiterLabel" aria-hidden="true">
				  <div class="modal-dialog" role="document">
				    <div class="modal-content">
				      <form th:action="${addAction}" method="post" th:object="${projektBeteiligung}">
					  <input type="hidden" name="projektBeteiligung.projektid" th:value="${projectDetail.id}">
					  <input type="hidden" name="projektBeteiligung.id" value="0" /> 
					  <input type="hidden" name="projektBeteiligung.interesse" value="0" /> 
					  <input type="hidden" name="projektBeteiligung.einfluss" value="0" /> 
					      <div class="modal-header">
					        <h5 class="modal-title" id="exampleModalLabel">Mitarbeiter hinzufügen</h5>
					        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
					          <span aria-hidden="true">&times;</span>
					        </button>
					      </div>
					      <div class="modal-body">
					      	  <label for="projektBeteiligung.personid">Person: </label>
						   	  <select class="custom-select mr-sm-2" id="personId" name="projektBeteiligung.personid" required>
								<option th:each="person : ${persons}" th:value="${person.id}" th:text="${person.name + ' ' + person.vorname}">
							  </select>
					      	  <label for="projektBeteiligung.rolleid">Rolle: </label>
						   	  <select class="custom-select mr-sm-2" id="rolleId" name="projektBeteiligung.rolleid" required>
								<option value="default">Rolle wählen...</option>
								<option th:each="mitarbeiter : ${mitarbeiters}" th:value="${mitarbeiter.id}" th:text="${mitarbeiter.rollenbezeichnung}">
							  </select>
					          <label for="projektBeteiligung.pensum">Pensum: </label>
							  <div class="range">
							  	<input type="range" min="10" max="100" step="10" name="projektBeteiligung.pensum" value="100">
							  </div>
							  <ul class="range-labels">
								  <li>10%</li>
								  <li>20%</li>
								  <li>30%</li>
								  <li>40%</li>
								  <li>50%</li>
								  <li>60%</li>
								  <li>70%</li>
								  <li>80%</li>
								  <li>90%</li>
								  <li>100%</li>
							  </ul>
					          <label for="projektBeteiligung.verfuegbarkeit">Verfügbarkeit: </label>
							  <input class="form-control" type="text" name="projektBeteiligung.verfuegbarkeit" placeholder="Mo-Fr" />
					      </div>
					      <div class="modal-footer">
					        <button type="button" class="btn btn-secondary" data-dismiss="modal">abbrechen</button>
					        <button type="submit" class="btn btn-primary">hinzufügen</button>
					      </div>
					   </form>
				    </div>
				  </div>
				</div>
			</div>
		</div>
		<div class="row mt-5">
		  <th:block th:each="beteiligung : ${beteiligungs}">
		  	<th:block th:each="mitarbeiter : ${mitarbeiters}">
			  <div class="col-6" th:if="${beteiligung.rolleid == mitarbeiter.id}">
				<div class="card" th:classappend="${beteiligung.rolleid} == 1 ? text-success" >
			  	  <div class="card-header">
				    <h5 class="card-title" th:text="${persons[beteiligung.personid - 1].name + ' ' + persons[beteiligung.personid - 1].vorname}"></h5>
			      </div>
				  <div class="card-body">
				    <h6 class="card-subtitle mb-2 text-muted" th:text="${mitarbeiter.rollenbezeichnung}">Projektleiter</h6>
				    <p class="card-text">
				    	Pensum: <span th:text="${beteiligung.pensum}">90</span>%<br>
				    	Verfügbarkeit: <span th:text="${beteiligung.verfuegbarkeit}">Mo - Fr.mittag</span>
				    </p>
			      </div>
				  <div class="card-footer">
				    <form th:action="${deleteAction}" method="post" th:object="${projektBeteiligung}">
				      <input type="hidden" name="projektBeteiligung.projectid" th:value="${projectDetail.id}" />
				      <input type="hidden" name="projektBeteiligung.id" th:value="${beteiligung.id}" />
				   	  <button type="submit" name="projektBeteiligung.delete" class="btn btn-danger">Delete</button>
				   	</form>
				  </div>
				</div>
			  </div>
			</th:block>
		  </th:block>
		</div>
	  </div>
	</div>
	
  </div>
  <div class="col-6">
	
	<div class="card bg-dark mt-5">
	  <div class="card-header" id="headingOne">
		<h1 data-toggle="collapse" href="#collapseStakeholder" role="button" aria-expanded="false" aria-controls="collapseStakeholder">Stakeholder</h1>
	  </div>
	  <div class="card-body collapse" id="collapseStakeholder">
		<div class="row">
			<div class="col">
				<button type="button" class="btn btn-light" data-toggle="modal" data-target="#addStakeholder">
				  Stakeholder hinzufügen
				</button>
				<div class="modal fade" id="addStakeholder" tabindex="-1" role="dialog" aria-labelledby="addStakeholderLabel" aria-hidden="true">
				  <div class="modal-dialog" role="document">
				    <div class="modal-content">
				      <form th:action="${addAction}" method="post" th:object="${projektBeteiligung}">
					  <input type="hidden" name="projektBeteiligung.projektid" th:value="${projectDetail.id}">
					  <input type="hidden" name="projektBeteiligung.id" value="0" /> 
					  <input type="hidden" name="projektBeteiligung.verfuegbarkeit" value="" /> 
					  <input type="hidden" name="projektBeteiligung.pensum" value="0" /> 
					      <div class="modal-header">
					        <h5 class="modal-title" id="addStakeholderLabel">Stakeholder hinzufügen</h5>
					        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
					          <span aria-hidden="true">&times;</span>
					        </button>
					      </div>
					      <div class="modal-body">
					      	  <label for="projektBeteiligung.personid">Person: </label>
						   	  <select class="custom-select mr-sm-2" id="personId" name="projektBeteiligung.personid" required>
								<option th:each="person : ${persons}" th:value="${person.id}" th:text="${person.name + ' ' + person.vorname}">
							  </select>
					      	  <label for="projektBeteiligung.rolleid">Rolle: </label>
						   	  <select class="custom-select mr-sm-2" id="rolleId" name="projektBeteiligung.rolleid" required>
								<option value="default">Rolle wählen...</option>
								<option th:each="stakeholder : ${stakeholders}" th:value="${stakeholder.id}" th:text="${stakeholder.rollenbezeichnung}">
							  </select>
					      	  <label for="projektBeteiligung.interesse">Interesse: </label>
							  <div class="range">
							  	<input type="range" min="10" max="100" step="10" name="projektBeteiligung.interesse" value="10">
							  </div>
							  <ul class="range-labels">
								  <li>10%</li>
								  <li>20%</li>
								  <li>30%</li>
								  <li>40%</li>
								  <li>50%</li>
								  <li>60%</li>
								  <li>70%</li>
								  <li>80%</li>
								  <li>90%</li>
								  <li>100%</li>
							  </ul>
					      	  <label for="projektBeteiligung.einfluss">Einfluss: </label>
							  <div class="range">
							  	<input type="range" min="10" max="100" step="10" name="projektBeteiligung.einfluss" value="10">
							  </div>
							  <ul class="range-labels">
								  <li>10%</li>
								  <li>20%</li>
								  <li>30%</li>
								  <li>40%</li>
								  <li>50%</li>
								  <li>60%</li>
								  <li>70%</li>
								  <li>80%</li>
								  <li>90%</li>
								  <li>100%</li>
							  </ul>
					      </div>
					      <div class="modal-footer">
					        <button type="button" class="btn btn-secondary" data-dismiss="modal">abbrechen</button>
					        <button type="submit" class="btn btn-primary">hinzufügen</button>
					      </div>
					   </form>
				    </div>
				  </div>
				</div>
			</div>
		</div>
		<div class="row mt-5">
		  <th:block th:each="beteiligung : ${beteiligungs}">
		  	<th:block th:each="stakeholder : ${stakeholders}">
			  <div class="col-6" th:if="${beteiligung.rolleid == stakeholder.id}">
				<div class="card">
			  	  <div class="card-header">
				    <h5 class="card-title" th:text="${persons[beteiligung.personid - 1].name + ' ' + persons[beteiligung.personid - 1].vorname}"></h5>
			      </div>
				  <div class="card-body">
				    <h6 class="card-subtitle mb-2 text-muted" th:text="${stakeholder.rollenbezeichnung}">Projektleiter</h6>
				    <p class="card-text">
				    	Einfluss: <span th:text="${beteiligung.einfluss}">90</span><br>
				    	Interesse: <span th:text="${beteiligung.interesse}">20</span>
				    </p>
			      </div>
				  <div class="card-footer">
				    <form th:action="${deleteAction}" method="post" th:object="${projektBeteiligung}">
				      <input type="hidden" name="projektBeteiligung.projectid" th:value="${projectDetail.id}" />
				      <input type="hidden" name="projektBeteiligung.id" th:value="${beteiligung.id}" />
				   	  <button type="submit" name="projektBeteiligung.delete" class="btn btn-danger">Delete</button>
				   	</form>
				  </div>
				</div>
			  </div>
			</th:block>
		  </th:block>
		</div>
	  </div>
	</div>
  </div>
</div>

<!--  NICHT LÖSCHEN IST ZUM DEBUGGEN
    <table>
        <tr th:each="var : ${#vars.getVariableNames()}">
            <td th:text="${var}"></td>
            <td th:text="${#vars.getVariable(var)}"></td>
        </tr>
        <tr>
            <td>param</td>
            <td th:text="${#vars.getVariable('param')}"></td>
        </tr>
        <tr>
            <td>session</td>
            <td th:text="${#vars.getVariable('session')}"></td>
        </tr>
        <tr>
            <td>application</td>
            <td th:text="${#vars.getVariable('application')}"></td>
        </tr>
    </table> -->

</div>

<div th:replace="fragments/footer :: scripts"></div>

</body>
</html>